* {
  font-family: "JetBrains Mono", monospace;
  font-weight: bold;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

:root {
  --primaria: #4f46e5;
  --secundaria: rgb(124, 58, 237);
  --escuro: #0a0f1c;
  --claro: #e2e8f0;
  --laranja: rgb(255, 159, 24);
  --vidro: rgba(255, 255, 255, 0.1);
}

body {
  background-color: white;
  color: black;
  line-height: 1.6;
}

body.modo-noturno {
  background-color: var(--escuro);
  color: #ccc;
}

.container {
  width: 60px;
  height: 45px;
  border-radius: 8px;
  cursor: pointer;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 6px;
  position: relative;
}

.container .line {
  width: 45px;
  height: 5px;
  background-color: var(--laranja);
  border-radius: 10px;
  transition: 400ms ease;
  transform-origin: center;
  position: absolute;
}

body.modo-noturno .container .line {
   background: linear-gradient(
    90deg,
    var(--primaria),
    var(--secundaria),
    var(--primaria)
  );
}

.line-1 {
  top: 10px;
}

.line-2 {
  top: 20px;
}

.line-3 {
  top: 30px;
}

#check {
  display: none;
}

#check:checked ~ .line-1 {
  transform: rotate(40deg);
  top: 20px;
}

#check:checked ~ .line-2 {
  opacity: 0;
}

#check:checked ~ .line-3 {
  transform: rotate(-40deg);
  top: 20px;
}

.navegacao {
  position: fixed;
  border-bottom: 1px solid #ccc;
  background-color: var(--primaria);
  display: flex;
  width: 100%;
  z-index: 100;
  top: 0;
  padding: 1.5rem;
  justify-content: space-between;
  align-items: center;
  gap: 50px;
}

body.modo-noturno .navegacao {
  background: rgb(15, 23, 42, 0.8);
  border-bottom: none;
}

#ativo {
  display: none;
}

.switch {
  position: relative;
  background-color: whitesmoke;
  width: 70px;
  height: 28px;
  border-radius: 50px;
  display: flex;
  align-items: center;
  cursor: pointer;
  transition: all 0.5s ease-in-out;
}

.slider-img {
  position: absolute;
  background-image: url("../img/sol.png");
  background-repeat: no-repeat;
  background-position: center;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  padding: 5px;
  transform: translate(-8px);
  transition: all 0.5s ease-in-out;
}

#ativo:checked ~ .switch {
  background: linear-gradient(
    90deg,
    var(--primaria),
    var(--secundaria),
    var(--primaria)
  );
}

#ativo:checked ~ .switch .slider-img {
  transform: translateX(30px);
  background-image: url("../img/lua.png");
}

.menu {
  display: flex;
  flex: 1;
  list-style: none;
  justify-content: center;
  gap: 5rem;
}

.links {
  color: var(--claro);
  text-decoration: none;
  text-transform: uppercase;
  position: relative;
  font-size: 1.2em;
  padding: 0.5rem 0;
  transition: color 0.3s ease;
}

body.modo-noturno .links {
  color: var(--claro);
}

.links::after {
  content: "";
  height: 3px;
  width: 0;
  position: absolute;
  bottom: 0;
  left: 0;
  background-color: #e78e15;
  transition: width 0.5s ease;
}

.links:hover::after {
  width: 100%;
}

body.modo-noturno .links::after {
  background-color: var(--primaria);
}
.section-main {
  display: flex;
  background-color: #e2e6f5;
  justify-content: center;
  align-items: center;
  width: 100%;
  min-height: 100vh;
  margin: 0 auto;
  padding: 6rem 10rem;
  gap: 30px;
}

.container-main {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  max-width: 1420px;
  width: 100%;
  gap: 2rem;
}

body.modo-noturno .section-main {
  background: none;
}

.hero {
  max-width: 800px;
  padding: 20px;
}

.hero h2 {
  font-size: 1.6em;
  display: flex;
  max-width: 700px;
  flex-wrap: wrap;
  margin: 0 auto;
  text-align: start;
}

h1 {
  font-size: 2.5rem;
  color: var(--primaria);
  font-weight: bold;
  margin: 20px 0px;
  text-transform: uppercase;
}

body.modo-noturno h1 {
  color: var(--claro);
}

span {
  white-space: wrap;
}
.cor1 {
  color: #7c3aed;
  text-shadow: 2px 0px 0px rgba(0, 0, 0, 0.2);
}

.cor2 {
  color: #8be9fd;
  text-shadow: 2px 0px 0px rgba(0, 0, 0, 0.4);
}

.cor3 {
  color: #f1fa8c;
  text-shadow: 2px 0px 0px rgba(0, 0, 0, 0.4);
}

.cor4 {
  color: #50fa7b;
  text-shadow: 2px 0px 0px rgba(0, 0, 0, 0.4);
}

.cursor {
  border-right: 2px solid var(--claro);
  animation: piscar 0.8s steps(2) infinite;
  margin: 5px;
}

body.modo-noturno .cursor {
  background-color: var(--claro);
}

@keyframes piscar {
  0% {
    border-color: transparent;
  }
  50% {
    border-color: var(--escuro);
  }
  100% {
    border-color: transparent;
  }
}

.botoes button {
  padding: 15px 35px;
  font-size: 16pt;
  border-radius: 30px;
  border: none;
  cursor: pointer;
  margin-top: 20px;
  transition: all 0.3s ease-in-out;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
}

a {
  text-decoration: none;
}

#bt-fale-comigo {
  color: var(--claro);
  background-color: var(--primaria);
}

#bt-fale-comigo:hover {
  background: #4841d2;
  transform: translateY(-3px);
}

#bt-download {
  color: white;
  background-color: var(--laranja);
}

#bt-download:hover {
  background: #e78e15;
  transform: translateY(-3px);
}

.container-imagem {
  position: relative;
  display: inline-block;
  animation: levitar 3s ease-in-out infinite;
  padding: 4px;
}

.container-imagem img {
  display: block;
  width: 100%;
  height: auto;
  max-width: 350px;
  border-top-left-radius: 20px;
  border-bottom-right-radius: 20px;
  background-image: url("../img/fundo1.jpeg");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  box-shadow: 6px 5px 5px rgba(0, 0, 0, 0.3);
  position: relative;
  z-index: 2;
}

body.modo-noturno .container-imagem img {
  background-image: url("../img/fundo2.jpeg");
  box-shadow: 0px 0px 50px rgb(79, 70, 229, 0.3);
  border: none;
}

body.modo-noturno .container-imagem::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  border-top-left-radius: 20px;
  border-bottom-right-radius: 20px;
  padding: 4px;
  background: linear-gradient(
    90deg,
    var(--primaria),
    var(--secundaria),
    var(--laranja),
    var(--primaria)
  );
  background-size: 300% 300%;
  animation: borderMove 5s linear infinite;
  z-index: 1;

  /* Cria a máscara para mostrar só a borda */
}

@keyframes levitar {
  0%,
  100% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-10px);
  }
}

@keyframes borderMove {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}

.container-redes {
  display: flex;
  gap: 20px;
  margin-top: 30px;
}

.redes-sociais {
  width: 35px;
  transition: transform 0.2s ease-in-out;
}

.redes-sociais:hover {
  transform: scale(1.1);
}

.section-sobre {
  min-height: 100vh;
  background-color: var(--primaria);
  width: 100%;
  padding: 6rem 1rem;
  display: flex;
  margin: 0 auto;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  gap: 30px;
}

body.modo-noturno .section-sobre {
  background: none;
}

.container-sobre {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  width: 100%;

  max-width: 1420px;
  align-items: flex-start;
  justify-content: space-between;
  padding: 0rem 6rem;
  transition: all 0.3s ease;
}

/* Área da imagem e dos textos */
.imagem-left,
.container-texto {
  flex: 1;
  min-width: 280px;
}

/* Ajuste inicial para telas grandes */
.imagem-left {
  display: flex;
  justify-content: center;
  align-items: center;
}

.container-texto {
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 50%;
}

/* Card do título */
.card-titulo {
  text-align: center;
  padding: 20px;
}

.card-titulo h2 {
  color: var(--claro);
  font-size: 1.4rem;
  letter-spacing: 1px;
  text-align: center;
  text-transform: uppercase;
}

#background-0 {
  background-color: var(--laranja);
  padding: 10px 30px;
  box-shadow: none;
  border-bottom-left-radius: 50px;
  border-top-left-radius: 50px;
}

body.modo-noturno #background-0 {
  background-color: var(--primaria);
}

/* Cards de conteúdo */
.sobre {
  background-color: white;
  border: 1px solid #cccccc;
  box-shadow: 6px 6px 0px 0px #1e1b4b;
  border-radius: 16px;
  padding: 20px 30px;
}

body.modo-noturno .sobre {
  background-color: var(--escuro);
  border: 1px solid var(--vidro);
  box-shadow: 6px 6px 0px 0px var(--primaria);
}

.sobre p {
  color: #333;
  font-size: 1.1em;
  font-family: "Arial", sans-serif;
  text-align: justify;
  text-indent: 20px;
  margin: 0;
}

body.modo-noturno .sobre p {
  color: var(--claro);
  font-weight: 500;
}

/* Imagem */
.imagem-senai {
  display: flex;
  justify-content: center;
}

.card-imagem {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1px;
  width: 54%;
  margin: 0 auto;
  transition: transform 0.3s ease;
}

.imagem-senai img {
  width: 100%;
  max-width: 500px;
  border-radius: 15px;
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
  object-fit: cover;
  display: block;
}

.card-imagem:hover {
  transform: scale(1.05);
}

.section-habilidade {
  display: flex;
  flex-direction: column;
  background-color: #e2e6f5;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  width: 100%;
  padding: 6rem 6rem;
  gap: 40px;
}

body.modo-noturno .section-habilidade {
  background: none;
}

.container-tecnologias {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
  justify-content: center;
  width: 100%;
  max-width: 1420px;
}

.tecnologia {
  flex: 1 1 250px;
  max-width: 190px;
  min-height: 220px;
  perspective: 1000px;
  cursor: pointer;
}

.card-rotacao {
  position: relative;
  width: 100%;
  height: 100%;
  transition: transform 0.8s;
  transform-style: preserve-3d;
}

.tecnologia:hover .card-rotacao {
  transform: rotateY(180deg);
}

.card-front,
.card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 20px;
  backface-visibility: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 20px;
  text-align: center;
  background-color: white;
  box-shadow: 6px 5px 5px rgba(0, 0, 0, 0.3);
  border: 2px solid #cccccc;
}

.card-front {
  z-index: 2;
}

.card-back {
  transform: rotateY(180deg);
  background-color: var(--primaria);
  border: 2px solid white;
  padding: 10px;
}

body.modo-noturno .card-back {
  border: none;
  background-color: var(--escuro);
  border-top: 4px solid var(--laranja);
  box-shadow: 0px 0px 20px rgb(79, 70, 229, 0.3);
}

body.modo-noturno .card-front {
  border: none;
  background-color: var(--escuro);
  border-top: 4px solid var(--laranja);
  box-shadow: 0px 0px 20px rgb(79, 70, 229, 0.3);
}

.paragrafo-habilidade {
  color: white;
  font-size: 11pt;
  text-align: center;
}

.tecnologia:hover {
  transform: scale(1.05);
}

.logos {
  max-width: 80px;
  margin-bottom: 10px;
}

h3 {
  color: var(--primaria);
  font-size: 1.3rem;
}

body.modo-noturno h3 {
  color: var(--claro);
}

.section-projetos {
  padding: 6rem 2rem;
  background-color: var(--primaria);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  gap: 30px;
}

.container-projetos {
  max-width: 1420px;
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  align-items: center;
  justify-content: center;
}

body.modo-noturno .section-projetos {
  background: none;
}

@media (max-width: 768px) {
  .section-projetos {
    padding: 3rem 1rem;
  }
}

.projetos-caixa {
  display: grid;
  flex-wrap: wrap;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 2rem;
  width: 100%;
  max-width: 1200px;
}

.projetos-card {
  border: 1px solid #cccccc;
  background-color: white;
  box-shadow: 6px 5px 5px rgba(0, 0, 0, 0.3);
  border-radius: 16px;
  overflow: hidden;
  padding: 10px;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
  position: relative;
}

body.modo-noturno .projetos-card {
  background: rgba(255, 255, 255, 0.05);
  backdrop-filter: blur(5px);
  border: 1px solid var(--vidro);
}

.projetos-card:hover {
  box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.3);
  transform: translateY(-5px) scale(1.03);
}

body.modo-noturno .projetos-card:hover {
  box-shadow: 0px 0px 20px rgb(124, 58, 237);

}

.projetos-card:hover .maximizar {
  opacity: 1;
  transform: translateY(0);
}

.caixa-textos {
  padding: 10px;
}

.info-projetos {
  margin-bottom: 5px;
  color: var(--laranja);
  font-size: 1.5rem;
}

body.modo-noturno .info-projetos {
  color: var(--primaria);
}

.paragrafo-projetos {
  color: #333;
  line-height: 1.25rem;
  font-weight: normal;
}

body.modo-noturno .paragrafo-projetos {
  color: rgba(226, 232, 240, 0.8);
}

.projetos-imagem {
  height: 200px;
  width: 100%;
  border-radius: 10px;
  object-fit: cover;
}

.maximizar {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  bottom: 10px;
  right: 10px;
  opacity: 0;
  transition: opacity 0.3s ease, transform 0.3s ease;
  transform: translateY(10px);
  z-index: 2;
}

.ver-projeto {
  background-image: url("../img/maximizar.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  width: 30px;
  height: 30px;
}

.projetos-card:hover .ver-projeto {
  transform: scale(1.1);
}

.section-contatos {
  background-color: #e2e6f5;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease, background-color 0.3s ease;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  min-height: 50vh;
  gap: 40px;
}

body.modo-noturno .section-contatos {
  background: rgb(15, 23, 42, 0.8);
}

.txt-footer {
  display: flex;
  align-items: center;
  flex-direction: column;
  background-color: white;
  border: 1px solid #ccc;
  border-radius: 20px;
  padding: 20px;
}

body.modo-noturno .txt-footer {
  background: rgba(255, 255, 255, 0.05);
  border: 1px solid var(--vidro);
}

.titulo-footer {
  font-family: "Poppins", sans-serif;
  font-size: 2rem;
  margin-bottom: 10px;
  color: var(--primaria);
}

body.modo-noturno .titulo-footer {
  color: var(--claro);
}

.paragrafo-footer {
  font-family: "Inter", sans-serif;
  font-size: 1.2rem;
  text-align: center;
  max-width: 600px;
  line-height: 1.5;
  color: #0000009f;
}

body.modo-noturno .paragrafo-footer {
  color: var(--claro);
}

.container-contatos {
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 20px;
  padding: 10px;
  display: flex;
}

.circulo-contato {
  background-color: var(--primaria);
  border-radius: 50%;
  border: 3px solid var(--claro);
}

.circulo-contato:hover {
  transform: scale(1.05);
  background-color: #4f8cff;
}
.circulo-contato img {
  display: flex;
  align-items: center;
  width: 40px;
  height: 40px;
  padding: 10px;
}

.copyright {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  background-color: var(--primaria);
  padding: 0.8rem;
}

.paragrafo-copyright {
  display: flex;
  text-align: center;
  color: var(--claro);
  font-size: 1rem;
}

@media (max-width: 1400px) {
  /*Menu*/

  .navegacao {
    padding: 1.5rem;
  }


  .menu .links {
    font-size: 1.1rem;
  }


  /*Início*/
  .section-main {
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 7rem 3rem 6rem;
    flex-direction: column-reverse;
    gap: 3.5rem;
  }

  .container-main {
    display: flex;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    gap: 3rem;
  }

  .hero {
    max-width: 80%;
    margin: 0 auto;
    text-align: center;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: column;
    
  }

  .hero h2 {
    font-size: 1.3rem;
    line-height: 1.6;
    text-align: left;
    margin: 0 auto;
  }

  h1 {
    font-size: 2.5rem;
    text-transform: uppercase;
    margin-bottom: 2rem;
  }

  .container-redes {
    gap: 1.2rem;
 
  }

  .botoes {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
    width: 100%;
    flex-wrap: wrap;
  }

  .botoes a {
    display: flex;
    justify-content: center;
    width: auto;
  }

  .botoes button {
    width: auto;
    font-size: 1.1rem;
    padding: 18px 28px;
    min-width: 260px;
  }

  .container-imagem {
    display: flex;
    justify-content: center;
    padding: 2px;
    animation: levitar 3s ease-in-out infinite;
  }

  .container-imagem img {
    width: 50%;
    height: auto;
    max-width: 500px;
    border-top-left-radius: 20px;
    border-bottom-right-radius: 20px;
    box-shadow: 8px 7px 7px rgba(0, 0, 0, 0.3);
    z-index: 2;
  }

  body.modo-noturno .container-imagem::before {
    content: "";
    position: absolute;
    width: 50%;
    padding: 2px;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    border-top-left-radius: 22px;
    border-bottom-right-radius: 22px;
    background: linear-gradient(
      90deg,
      var(--primaria),
      var(--secundaria),
      var(--laranja),
      var(--primaria)
    );
    background-size: 300% 300%;
    animation: borderMove 5s linear infinite;
    z-index: 1;
  }

  .card-imagem {
    width: 60%;
    max-width: 400px;
    margin: 0 auto;
  }

  .imagem-senai img {
    border-radius: 20px;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.25);
  }

  /*Sobre mim*/
  .section-sobre {
    padding: 8rem 3rem 6rem;
    gap: 3rem;
  }

  .container-sobre {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0;
    text-align: center;
    gap: 2.5rem;
  }

   .container-texto {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    width: 90%;
  }


  .sobre p {
    font-size: 1.15rem;
    line-height: 1.75;
    text-indent: 25px;
  }

  /*Habilidades*/
  .section-habilidade {
    padding: 8rem 3rem 6rem;
    gap: 3rem;
  }

  .tecnologias {
    flex: 1 1 220px;
    max-width: 220px;
  }

  /*Projetos*/
  .section-projetos {
    padding: 8rem 3rem 6rem;
    gap: 2.5rem;
  }

  .projetos-caixa {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    gap: 2.5rem;
  }

  .projetos-card {
    padding: 12px;
  }

  /*Contatos*/
  .section-contatos {
    padding: 6rem 2rem 6rem;
    gap: 2.5rem;
    text-align: center;
  }

  .txt-footer {
    width: 100%;
    max-width: 950px;
    padding: 25px;
    border-radius: 20px;
  }

  .titulo-footer {
    font-size: 2.2rem;
    margin-bottom: 1rem;
  }

  .paragrafo-footer {
    font-size: 1.15rem;
    line-height: 1.6;
  }

  .circulo-contato {
    gap: 14px;
    border-width: 3px;
  }

  .circulo-contato img {
    width: 40px;
    height: 40px;
    padding: 10px;
  }

  .copyright {
    flex-direction: column;
    padding: 20px 0;
  }

  .paragrafo-copyright {
    font-size: 0.95rem;
    line-height: 1.5;
    padding: 0 1.5rem;
  }
}


@media (max-width: 1024px) {
  .navegacao {
    gap: 1rem;
    padding: 1.4rem 0.5rem;
  }

  .menu {
    font-size: 1rem;
    gap: 2rem;
  }

  /*Início*/
  .section-main {
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 7rem 2rem 5rem;
    flex-direction: column-reverse;
    gap: 3rem;
  }

  .container-main {
    display: flex;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    gap: 2.5rem;
  }

  .hero {
    max-width: 85%;
    margin: 0 auto;
    text-align: center;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: column;
  }

  .hero h2 {
    font-size: 1.2rem;
    line-height: 1.5;
    text-align: left;
    margin: 0 auto;
  }

  h1 {
    font-size: 2.2rem;
    text-transform: uppercase;
    margin-bottom: 1.8rem;
  }

  .container-redes {
    gap: 1rem;
  }

  .botoes {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
    width: 100%;
    flex-wrap: wrap;
  }

  .botoes a {
    display: flex;
    justify-content: center;
    width: auto;
  }

  .botoes button {
    width: auto;
    font-size: 1.1rem;
    padding: 18px 25px;
    min-width: 240px;
  }

  .container-imagem {
    display: flex;
    justify-content: center;
    padding: 2px;
    animation: levitar 3s ease-in-out infinite;
  }

  .container-imagem img {
    width: 55%;
    max-width: 450px;
    border-top-left-radius: 18px;
    border-bottom-right-radius: 18px;
    box-shadow: 6px 6px 6px rgba(0, 0, 0, 0.3);
    z-index: 2;
  }

  body.modo-noturno .container-imagem::before {
    content: "";
    position: absolute;
    width: 55%;
    padding: 2px;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    border-top-left-radius: 20px;
    border-bottom-right-radius: 20px;
    background: linear-gradient(
      90deg,
      var(--primaria),
      var(--secundaria),
      var(--laranja),
      var(--primaria)
    );
    background-size: 300% 300%;
    animation: borderMove 5s linear infinite;
    z-index: 1;
  }

  .card-imagem {
    width: 65%;
    max-width: 400px;
    margin: 0 auto;
  }

  .imagem-senai img {
    border-radius: 18px;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.25);
  }

  /*Sobre mim*/
  .section-sobre {
    padding: 7rem 2rem 5rem;
    gap: 2.5rem;
  }

  .container-texto {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 90%;
  }

  .container-sobre {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0;
    text-align: center;
    gap: 2rem;
  }

  .sobre p {
    font-size: 1.1rem;
    line-height: 1.7;
    text-indent: 20px;
  }

  /*Habilidades*/
  .section-habilidade {
    padding: 7rem 2rem 5rem;
    gap: 2.5rem;
  }

  .tecnologias {
    flex: 1 1 200px;
    max-width: 200px;
  }

  /*Projetos*/
  .section-projetos {
    padding: 7rem 2rem 5rem;
    gap: 2rem;
  }

  .projetos-caixa {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 2.2rem;
  }

  .projetos-card {
    padding: 10px;
  }

  /*Contatos*/
  .section-contatos {
    padding: 5rem 1.5rem 5rem;
    gap: 2rem;
    text-align: center;
  }

  .txt-footer {
    width: 100%;
    max-width: 900px;
    padding: 20px;
    border-radius: 18px;
  }

  .titulo-footer {
    font-size: 2rem;
    margin-bottom: 0.8rem;
  }

  .paragrafo-footer {
    font-size: 1.1rem;
    line-height: 1.5;
  }

  .circulo-contato {
    gap: 12px;
    border-width: 3px;
  }

  .circulo-contato img {
    width: 45px;
    height: 45px;
    padding: 9px;
  }

  .copyright {
    flex-direction: column;
    padding: 18px 0;
  }

  .paragrafo-copyright {
    font-size: 0.9rem;
    line-height: 1.4;
    padding: 0 1.2rem;
  }
}

@media (max-width: 768px) {
  /*Menu*/
  .container {
    display: flex;
  }

  .navegacao {
    padding: 1rem;
  }

  .menu {
    display: none; /* escondido até clicar */
    position: absolute;
    top: 100%; /* logo abaixo da nav */
    left: 0;
    width: 30%;
    background-color: var(--primaria);
    border: 1px solid var(--claro);
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    flex-direction: column;
    align-items: flex-start;
    gap: 1.2rem;
    padding: 1.2rem 0 1.5rem 1.5rem;
    z-index: 2;
  }

  .menu.mostrar {
    display: flex;
  }

  .menu .links {
    font-size: 1rem;
  }

  body.modo-noturno .menu {
    background: rgba(15, 23, 42, 0.8);
    border: 1px solid var(--vidro);
  }

  /*Início*/
  .section-main {
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 6rem 1.5rem 4rem;
    flex-direction: column-reverse;
    gap: 2.5rem;
  }

  .container-main {
    display: flex;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    gap: 2rem;
  }

  .hero {
    max-width: 90%;
    margin: 0 auto;
    text-align: center;
  }

  .hero h2 {
    font-size: 1.1rem;
    line-height: 1.4;
    text-align: left;
    margin: 0 auto;
  }

  h1 {
    font-size: 1.8rem;
    text-transform: uppercase;
    margin-bottom: 1.5rem;
  }

  .container-redes {
    gap: 1rem;
  }

  .botoes {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    gap: 0.5rem;
  }

  .botoes a {
    display: flex;
    justify-content: center;
    width: 80%;
  }

  .botoes button {
    width: 80%;
    font-size: 1rem;
    padding: 15px 20px;
    min-width: 220px;
  }

  .container-imagem {
    display: flex;
    justify-content: center;
    padding: 2px;
    animation: levitar 3s ease-in-out infinite;
  }

  .container-imagem img {
    width: 60%;
    height: auto;
    max-width: 350px;
    border-top-left-radius: 15px;
    border-bottom-right-radius: 15px;
    box-shadow: 6px 5px 5px rgba(0, 0, 0, 0.3);
    z-index: 2;
  }

  body.modo-noturno .container-imagem::before {
    content: "";
    position: absolute;
    width: 60%;
     padding: 2px;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    border-top-left-radius: 18px;
    border-bottom-right-radius: 18px;
    background: linear-gradient(
      90deg,
      var(--primaria),
      var(--secundaria),
      var(--laranja),
      var(--primaria)
    );
    background-size: 300% 300%;
    animation: borderMove 5s linear infinite;
    z-index: 1;
  }

  .card-imagem {
    width: 70%;
    max-width: 300px;
    margin: 0 auto;
  }

  .imagem-senai img {
    border-radius: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  }

  /*Sobre mim*/
  .section-sobre {
    padding: 6rem 1.5rem 4rem;
    gap: 2rem;
  }

  .container-sobre {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0;
    text-align: center;
    gap: 1.5rem;
  }

  .sobre p {
    font-size: 1rem;
    line-height: 1.6;
    text-indent: 15px;
  }

  /*Habilidades*/
  .section-habilidade {
    padding: 6rem 1.5rem 4rem;
    gap: 2rem;
  }

  .tecnologias {
    flex: 1 1 180px;
    max-width: 180px;
  }

  /*Projetos*/
  .section-projetos {
    padding: 6rem 1.5rem 4rem;
    gap: 1.5rem;
  }

  .projetos-caixa {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 2rem;
  }

  .projetos-card {
    padding: 8px;
  }

  /*Contatos*/
  .section-contatos {
    padding: 4rem 1rem 4rem;
    gap: 1.5rem;
    text-align: center;
  }

  .txt-footer {
    width: 100%;
    max-width: 800px;
    padding: 15px;
    border-radius: 15px;
  }

  .titulo-footer {
    font-size: 1.8rem;
    margin-bottom: 0.5rem;
  }

  .paragrafo-footer {
    font-size: 1rem;
    line-height: 1.4;
  }

  .circulo-contato {
    gap: 10px;
    border-width: 3px;
  }

  .circulo-contato img {
    width: 45px;
    height: 45px;
    padding: 9px;
  }

  .copyright {
    flex-direction: column;
    padding: 15px 0;
  }

  .paragrafo-copyright {
    font-size: 0.8rem;
    line-height: 1.3;
    padding: 0 1rem;
  }
}

/*Telas de celulares pequenos*/

@media (max-width: 480px) {
  .section-main {
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 5rem 1rem 4rem;
  }

  .container-main {
    display: flex;
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
  }

  .navegacao {
    padding: 0.8rem;
  }

  .menu {
    width: 40%;
    left: 0;
    right: 0;
    top: 100%;
    border-radius: 0 0 15px 15px;
    padding: 1.5rem 0;
    gap: 1.5rem;
    align-items: flex-start;
    flex-direction: column;
  }

  .menu .links {
    margin-left: 30px;
    font-size: 1rem;
  }

  .hero {
    max-width: 100%;
    margin: 0 auto;
    text-align: center;
    padding: 0;
  }

  .hero h2 {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: baseline;
    text-align: left;
    font-size: 1rem;
    line-height: 1.4;
    max-width: 90%;
    margin: 0 auto;
  }

  .container-redes {
    left: 0.5rem;
    top: 20%;
    position: fixed;
    z-index: 1;
    flex-direction: column;
    align-self: start;
    gap: 0.5rem;
    transition: opacity 0.5s ease;
  }

  h1 {
    font-size: 1.5rem;
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 1.5rem;
  }

  .botoes {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5rem;
    width: 100%;
  }

  .botoes a {
    display: flex;
    justify-content: center;
    width: 90%;
  }

  .botoes button {
    width: 90%;
    min-width: 200px;
    font-size: 1rem;
    padding: 15px 20px;
  }

  .container-imagem {
    position: relative;
    display: flex;
    justify-content: center;
    animation: levitar 3s ease-in-out infinite;
    padding: 2px;
  }

  .container-imagem img {
    display: flex;
    width: 70%;
    height: auto;
    max-width: 350px;
    border-top-left-radius: 15px;
    border-bottom-right-radius: 15px;
    background-image: url("../img/fundo1.jpeg");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    box-shadow: 6px 5px 5px rgba(0, 0, 0, 0.3);
    position: relative;
    z-index: 2;
  }

  body.modo-noturno .container-imagem::before {
    content: "";
    position: absolute;
    width: 70%;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    right: 0;
    bottom: 0;
    border-top-left-radius: 18px;
    border-bottom-right-radius: 18px;
    padding: 2px;

    background: linear-gradient(
      90deg,
      var(--primaria),
      var(--secundaria),
      var(--laranja),
      var(--primaria)
    );
    background-size: 300% 300%;
    animation: borderMove 5s linear infinite;
    z-index: 1;
  }

  .card-imagem {
    width: 80%;
    max-width: 250px;
    margin: 0 auto;
  }

  .imagem-senai img {
    border-radius: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  }

  /*Sobre mim*/
  .section-sobre {
    padding: 5rem 1rem 4rem;
    gap: 2rem;
  }

  .container-sobre {
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0;
    text-align: center;
    gap: 1.5rem;
  }

  .sobre p {
    font-size: 0.9rem;
    line-height: 1.5;
    text-indent: 10px;
  }

  /*Habilidades*/
  .section-habilidade {
    padding: 5rem 1rem 4rem;
    gap: 2rem;
  }

  .tecnologias {
    flex: 1 1 150px;
    max-width: 150px;
  }

  /*Projetos*/
  .section-projetos {
    padding: 5rem 1rem 4rem;
    gap: 1.5rem;
  }

  .projetos-caixa {
    gap: 2rem;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  }

  .projetos-card {
    padding: 5px;
  }

  /*Contatos*/
  .section-contatos {
    padding: 4rem 1rem 4rem;
    gap: 1.5rem;
    text-align: center;
  }

  .txt-footer {
    width: 100%;
    max-width: 450px;
    padding: 15px;
    border-radius: 15px;
  }

  .titulo-footer {
    font-size: 1.6rem;
    margin-bottom: 0.5rem;
  }

  .paragrafo-footer {
    font-size: 0.95rem;
    line-height: 1.4;
    padding: 0;
  }

  .circulo-contato img {
    width: 40px;
    height: 40px;
    padding: 8px;
  }

  .circulo-contato {
    gap: 10px;
    border-width: 3px;
  }

  .copyright {
    flex-direction: column;
    padding: 10px 0;
  }

  .paragrafo-copyright {
    font-size: 0.75rem;
    line-height: 1.3;
    padding: 0 1rem;
  }
}
